<HTML>
<HEAD>

<!--comment -->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">

<TITLE>abortJob User Command</TITLE>

<META name="description" content="Description of the abortJob User Command">

<META name="keywords" content="macros, commands, user">

</HEAD>

<BODY BGCOLOR="#DDDDDD" TEXT="#000000">
<a name="top">
<table>
<td width=100%><td>
<IMG SRC="/doc/gifs/LIGO.gif" ALIGN=right ALT="LIGO.gif">
</table>

<h3> The <i>abortJob</i> User Command (Meta Macros) </h3>
<b>All user commands have the form:</b>
<p>
<tt><font color="red">
<b>ldasJob</b> { -name {} -password {} -email {} } { <b>userCmd</b> -opt1 {} ... }
</tt></font>
<p>
Which is in the format of a <a href=http://www.tcl.tk/software/tcltk/><b>Tcl</b></a> command, <b>ldasJob</b>, with two required
arguments:
<ol>
<li>
A Tcl list of <b>user information</b> consisting of username,
password, and e-mail address.  All fields must be filled or
the command will be rejected.<br>
Client software which would like to receive responses from the
LDAS system on a port instead of through email can provide a
<b>hostname:port</b> combination as the email argument.  A
further feature of this method is that the hostname can be replaced
with the magic key <b>!host!</b>, and the LDAS system will use
the IP address it finds by doing a peername lookup on the
connected socket.
<li>
A <b>user command</b> in the form of a Tcl list, for which there
exists a "meta" macro file which can be expanded into Tcl code
which can then be evaluated by the LDAS system.
<br>
An argument <b>must be provided fo every option field</b> for
any given command or the command will be rejected.<br>
Some option fields will accept a "null" argument consisting of
a matching pair of braces <b>"{}"</b> with no interposed space.
<br>
Meta macros consist of a prototype declaration of the arguments
for the given user command, and a template describing the calling
order of API specific blocks of Tcl code which are concatenated
into a larger block comprising the complete request, which can
then be distributed by the assistant manager for interpretation
by the low level API's.
<br>
These API specific blocks are maintained as API specific macro
files consisting of immediately interpretable Tcl code.
</ol>
The abortJob command prevents the specified job from proceeding
through it's pipeline, and causes a descriptive message to be
returned to the user requesting the abort:
<ul>
<a href="#abortjob"><li><b><i>abortJob</i></b></a>
</ul>
<!-- bottom of page pointer section --> 
<center>
<h2>
<a href="#abortjob">abortJob</a>
<IMG SRC="/doc/gifs/arrow_right.gif" ALT="arrow_right.gif">
</h2>
</center>
<!-- Here we put the stuff which will become the linked pages --> 
<hr>
<ul>
<li>
<a name="abortjob">
<b><i>abortJob</i></b>
<p>
Updates the database with ilwd meta data (insertion of new data).
<p>
Calling convention (all on a single line):
<p>
<b>ldasJob</b> &nbsp;
<b>{</b>
-name &nbsp; <i>"username"</i> &nbsp;
-password &nbsp; <i>"********"</i> &nbsp; 
-email &nbsp; <i>"user@foobar.edu"</i><b>}</b> &nbsp; 
<b>{<i>abortJob</i></b> &nbsp; 
<a href=#stopjob>-stopjob</a>
&nbsp; <font color="red"> <i>Running_LDAS_Jobid</i></font> &nbsp; 
<b>}</b>
<p>
<font color="green">Option Descriptions:</font>
<ul>
<p>
<a name=stopjob>   
<b>-stopjob:</b> &nbsp; &nbsp; 
                   <tt>
                   jobid
                   </tt>
<p>
<ul>
<tt>
If the user requesting the job to be aborted is the user that
owns the job it will be cancelled on return from the API on
which it is currently running.

The jobid is the well-known LDAS job id, as in "NORMAL12345".
In LDAS scripts, the jobid can be matched by ${::RUNCODE}\d+.

Memory leaks may be caused by aborting jobs.  <b>abortJob</b>
is necessarily a work-in-progress since cleanup across API's
is sometimes API specific.
</tt>
</ul>
<p>
</ul></ul>
<!-- bottom of page pointer section -->  
<center>
<h2>
<IMG SRC="/doc/gifs/arrow_up.gif" ALT="arrow_up.gif">
<a href="#top">Back to Top</a>
<IMG SRC="/doc/gifs/arrow_up.gif" ALT="arrow_up.gif">
</h2>
</center>
<!-- End of abortJob --> 

</ul>
</BODY>

<!-- VI POWERED! -->

</HTML>
